@dialexa/eslint-config-dialexa

Dialexa's ESLint Config

Stats

stars 🌟issues ⚠️updated 🛠created 🐣size 🏋️‍♀️
61May 9, 2021Dec 1, 2015Minified + gzip package size for @dialexa/eslint-config-dialexa in KB

Readme

Dialexa Javascript Style Guide

Installation

 npm install @dialexa/eslint-config-dialexa --save-dev

Lastly, make sure you have eslint installed in your project

npm install eslint --save-dev

If you are using the React settings, make sure you have babel-eslint installed, as well as eslint-plugin-react

npm install babel-eslint eslint-plugin-react --save-dev

Usage

Add one of the following to your project's .eslintrc file (based on your project type).

ES5

{
  "extends": "@dialexa/eslint-config-dialexa"
}

ES6

{
  "extends": "@dialexa/eslint-config-dialexa/es6"
}

Node 4.x +

{
  "extends": "@dialexa/eslint-config-dialexa/node-es6"
}

Ember

{
  "extends": "@dialexa/eslint-config-dialexa/ember"
}

React

{
  "extends": "@dialexa/eslint-config-dialexa/react"
}

If you find any bugs or have a feature request, please open an issue on github!

The npm package download data comes from npm's download counts api and package details come from npms.io.